module.exports = {
  root: true,
  env: {
    node: true,
  },
  extends: [
    'plugin:vue/essential',
    '@vue/airbnb',
    '@vue/typescript/recommended',
  ],
  parserOptions: {
    ecmaVersion: 2020,
  },
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
  },
  // 处理 main.ts 引入 dist 文件报错(无法找到模块“../dist/vue2-ts-component-library.umd”的声明文件。“/Users/wei/workplace/npm包/vue2-ts-component-library/dist/vue2-ts-component-library.umd.js”隐式拥有 "any" 类型。)
  overrides: [
    {
      files: ['**/*.js'],
      excludedFiles: ['dist/*.js'],
    },
  ],
};
